<app-loader *ngIf="isLoading"></app-loader>
<app-navbar></app-navbar>
<div class="center">
  <mat-card class="mat-elevation-z5">
    <h3>Login</h3>
    <p>
      <a routerLink="/auth/register">Not member?</a>
    </p>
    <div class="container">
      <mat-form-field>
        <mat-label>Email or username</mat-label>
        <input (keydown.enter)="loginSubmissionForm()" [formControl]="login" matInput name="login" required type="text">
        <mat-error *ngIf="login.invalid">{{getErrorMessage(login, 'login')}}</mat-error>
      </mat-form-field>
    </div>
    <div class="container">
      <mat-form-field>
        <mat-label>Password</mat-label>
        <input (keydown.enter)="loginSubmissionForm()" [formControl]="password" [type]="hide ? 'password' : 'text'"
               matInput name="password" required>
        <button (click)="hide = !hide" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide" mat-icon-button
                matSuffix>
          <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
        </button>
        <mat-error *ngIf="password.invalid">{{getErrorMessage(password, 'password')}}</mat-error>
      </mat-form-field>
    </div>
    <div class="container">
      <mat-checkbox>Remember me</mat-checkbox>
    </div>
    <p>
      <a mat-button routerLink="/auth/register">Forgotten password?</a>
    </p>
    <div class="container">
      <button (click)="loginSubmissionForm()" [disabled]="isLoading || password.invalid || login.invalid"
              color="primary"
              mat-raised-button type="button">Submit
      </button>
    </div>
  </mat-card>
</div>
